<?php
//Incluimos conexion a la base de 
require_once('../config/Conexion.php');

Class Almacen
{
  //Implementando nuestro constructor
  public function __construct()
  {

  }
    
      public function insertar($idusuario,$idtipo_almacen,$nombre,$direccion,$telefono,$estado) {
        $sql = "INSERT INTO almacen (nombre,direccion,telefono,idtipo_almacen,idusuario,estado) 
                VALUES ('$nombre','$direccion','$telefono','$idtipo_almacen','$idusuario','$estado')";
        return ejecutarConsulta($sql);
    }

    // Método para editar
    public function editar($idalmacen,$idusuario,$idtipo_almacen,$nombre,$direccion,$telefono,$estado) {
        $sql = "UPDATE almacen SET 
                nombre = '$nombre', 
                direccion = '$direccion',
                telefono = '$telefono',
                idtipo_almacen = '$idtipo_almacen',
                idusuario = '$idusuario',
                estado = '$estado'                 
                WHERE idalmacen = '$idalmacen'";
        return ejecutarConsulta($sql);
    }

    public function listaralmacen()
    {
      $sql="SELECT a.idalmacen,a.nombre,a.direccion,a.telefono,u.nombre as usuario,t.nombre as almacen,a.estado FROM almacen a join usuario u on a.idusuario=u.idusuario join tipo_almacen t on a.idtipo_almacen=t.idtipo_almacen";
      return ejecutarConsulta($sql);

    }

    public function mostrar($idalmacen)
    {
      $sql="SELECT * FROM almacen where idalmacen='$idalmacen'";
      return ejecutarConsultaSimpleFila($sql);

    }

    //Implementamos un metodo para eliminar registro
    public function eliminar($idalmacen)
    {
      $sql="DELETE FROM almacen where idalmacen='$idalmacen'";
      return ejecutarConsulta($sql);
    }

    public function selectTipoAlmacen()
    {
      $sql="SELECT * FROM tipo_almacen";
      return ejecutarConsulta($sql);

    }

    public function selectAlmacen()
    {
      $sql="SELECT * FROM almacen";
      return ejecutarConsulta($sql);

    }



}


?>